---
date: 2020-11-10
id: 1f8217e5-4006-4f7e-9d67-2c68b70b2872
title: name~prefix~
---

# Introduction

This is an option to prefix the named of the routes imported in
configuration files.

# Syntax

``` yaml
app:
    resource: ../controller/routing.yaml

api:
    resource: ../controller/routing.yaml
    # this prefix is added to all the action route names
    name_prefix: api_
    # this prefix is added to all the action URLs
    prefix: /api
```
